Subject: Re: [lojban] Place notation in lojban

From: Jay Kominek <[email-masked]>
Date: Mon, 9 Apr 2001 21:50:29 -0600 (MDT)

On Mon, 9 Apr 2001, Samuel Rivier wrote:

> I have a question regarding the original creation of
> lojban. It seems odd that this language designed for
> ease of computer interpretation would use such a
> complex system of place notation for gismu.

It is perfectly natural to a computer. The gismu acts
like a function, with its arguments being the sumti
filling its places.

> I don't
> understand how that would be ideal if a computer would
> have to learn that system for each individual gismu.

you can't escape the need for having to store and process
semantic information. the nature of the gismu make it
easy to store and work with the semantic information,
however.

> Wouldn't it be better to use the more naturalistic
> method of creating the place notation by description?

Huh?

If you mean assigning meaning way natural languages do...
well, then what would be the point of using Lojban
instead of a natural language? (I'm talking from a point
of view very interested in the use of Lojban in human
computer interaction, mind you.)

- Jay Kominek <[email-masked]>
Waiting Is.